import { t as resolveConversationLabel$1 } from "./conversation-label-hm4AcUUO.js";
import { s as resolveChunkMode$1 } from "./chunk-Zq6EJkPq.js";
import { i as resolveAgentRoute$1 } from "./resolve-route-BAYgebtg.js";
import { t as finalizeInboundContext$1 } from "./inbound-context-CSDe3Nhb.js";
import { n as dispatchReplyWithDispatcher$1 } from "./provider-dispatcher-BQJON7Ka.js";
import "./routing-CnyCtmde.js";
import { t as resolveMarkdownTableMode$1 } from "./markdown-tables-gm-qbStM.js";
import "./reply-runtime-DGnnyaHW.js";
import { t as recordInboundSessionMetaSafe$1 } from "./conversation-runtime-SFpMCaOu.js";
import "./markdown-table-runtime-Cu6M2mT7.js";
import { r as deliverSlackSlashReplies$1 } from "./replies-DIQhz4kR.js";
//#region extensions/slack/src/monitor/slash-dispatch.runtime.ts
function resolveChunkMode(...args) {
	return resolveChunkMode$1(...args);
}
function finalizeInboundContext(...args) {
	return finalizeInboundContext$1(...args);
}
function dispatchReplyWithDispatcher(...args) {
	return dispatchReplyWithDispatcher$1(...args);
}
function resolveConversationLabel(...args) {
	return resolveConversationLabel$1(...args);
}
function recordInboundSessionMetaSafe(...args) {
	return recordInboundSessionMetaSafe$1(...args);
}
function resolveMarkdownTableMode(...args) {
	return resolveMarkdownTableMode$1(...args);
}
function resolveAgentRoute(...args) {
	return resolveAgentRoute$1(...args);
}
function deliverSlackSlashReplies(...args) {
	return deliverSlackSlashReplies$1(...args);
}
//#endregion
export { deliverSlackSlashReplies, dispatchReplyWithDispatcher, finalizeInboundContext, recordInboundSessionMetaSafe, resolveAgentRoute, resolveChunkMode, resolveConversationLabel, resolveMarkdownTableMode };
